var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UMB_SEARCH_MODAL } from './search-modal/search-modal.token.js';
import { html, customElement } from '../../../external/lit/index.js';
import { umbOpenModal } from '../modal/index.js';
import { UmbHeaderAppButtonElement } from '../components/index.js';
let UmbSearchHeaderAppElement = class UmbSearchHeaderAppElement extends UmbHeaderAppButtonElement {
    async #onSearchClick() {
        await umbOpenModal(this, UMB_SEARCH_MODAL).catch(() => undefined);
    }
    render() {
        return html `
			<uui-button @click=${this.#onSearchClick} look="primary" label="search" compact>
				<uui-icon name="icon-search"></uui-icon>
			</uui-button>
		`;
    }
    static { this.styles = UmbHeaderAppButtonElement.styles; }
};
UmbSearchHeaderAppElement = __decorate([
    customElement('umb-search-header-app')
], UmbSearchHeaderAppElement);
export { UmbSearchHeaderAppElement };
export default UmbSearchHeaderAppElement;
